Subject: Re: linux-next: Tree for September 1 (recordmcount.pl)

From: Adrian Bunk <[email-masked]>
Date: Wed, 3 Sep 2008 09:44:18 +0300

On Tue, Sep 02, 2008 at 11:26:39PM -0700, Andrew Morton wrote:
> On Mon, 1 Sep 2008 11:25:49 -0700 Randy Dunlap <[email-masked]> wrote:
> 
> > On Mon, 1 Sep 2008 19:19:46 +1000 Stephen Rothwell wrote:
> > 
> > > Hi all,
> > > 
> > > Changes since next-20080829:
> > 
> > When using patch tarballs and applying that to kernel bases,
> > scripts/recordmcount.pl fails because it is not executable.
> > (Yes, I know, using the git would/should fix this.)
> > 
> > Is there any way to make (new) scripts executable when using
> > tarballs?
> > 
> > I'll handle it on a case-by-case basis for now.
> > 
> 
> I did this:
> 
> From: Andrew Morton <[email-masked]>
> 
>   CHK     include/linux/version.h
>   CHK     include/linux/utsrelease.h
>   CC      scripts/mod/empty.o
> /bin/sh: /usr/src/25/scripts/recordmcount.pl: Permission denied
> 
> We shouldn't assume that files have their `x' bits set.  There are various
> ways in which file permissions get lost, including use of patch(1).
> 
> It might not be correct to assume that perl lives in $PATH?

scripts/recordmcount.pl starts with "#!/usr/bin/perl -w", which is an 
even stronger assumption.

> Cc: Ingo Molnar <[email-masked]>
> Cc: Sam Ravnborg <[email-masked]>
> Cc: Steven Rostedt <[email-masked]>
> Signed-off-by: Andrew Morton <[email-masked]>
> ---
> 
>  scripts/Makefile.build |    5 +++--
>  1 file changed, 3 insertions(+), 2 deletions(-)
> 
> diff -puN scripts/Makefile.build~kbuild-ftrace-dont-assume-that-scripts-recordmcountpl-is-executable scripts/Makefile.build
> --- a/scripts/Makefile.build~kbuild-ftrace-dont-assume-that-scripts-recordmcountpl-is-executable
> +++ a/scripts/Makefile.build
> @@ -199,8 +199,9 @@ cmd_modversions =							\
>  endif
>  
>  ifdef CONFIG_FTRACE_MCOUNT_RECORD
> -cmd_record_mcount = $(srctree)/scripts/recordmcount.pl "$(ARCH)" \
> -	"$(OBJDUMP)" "$(OBJCOPY)" "$(CC)" "$(LD)" "$(NM)" "$(RM)" "$(MV)" "$(@)";
> +cmd_record_mcount = perl $(srctree)/scripts/recordmcount.pl \
> +	"$(ARCH)" "$(OBJDUMP)" "$(OBJCOPY)" "$(CC)" "$(LD)" "$(NM)" "$(RM)" \
> +	"$(MV)" "$(@)";
>  endif
>  
>  define rule_cc_o_c
> _
> 
> 
> but I haven't been able to interest anyone in the patch yet.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed